- Home
- API Enriched
- Support
- operate
- Allow F5 SSH.
Allow F5 SSH.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/system/sites/example/vpm/debug/global/allow-f5-ssh';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"enable":true,"enabled_duration":1,"single_node":true,"site":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/operate/namespaces/system/sites/example/vpm/debug/global/allow-f5-ssh \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "enable": true, "enabled_duration": 1, "single_node": true, "site": "example" }'Allow F5 SSH on host.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Site Name Name of the site where F5 SSH access will be controlled.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to control F5 SSH access (vesop) on host. This API allows enabling or disabling vesop SSH access with optional timer-based auto-disable functionality.
object
Enables or disables F5 SSH (vesop) access on the site. When enabled, F5 support can SSH to the site for troubleshooting purposes. Required: YES.
Duration in minutes for which F5 SSH access is enabled. Set to 0 for permanent enable/disable without timer. When enable=true and enabled_duration > 0, vesop access will be automatically disabled after this duration.
Field to indicate single node operation.
Name of the site where F5 SSH access will be controlled.
Examplegenerated
{ "enable": true, "enabled_duration": 1, "single_node": true, "site": "example"}Responses
Section titled “Responses”A successful response.
Enable F5 SSH response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example